// #autoload
// #name = Event Hud
// #version = 1.02
// #date = June 15, 2001
// #author = DanGeR|SM
// #warrior = Void|DanGeR|SM
// #email = Dlfnation@home.com
// #web = www.tribes-universe.com/danger/
// #description = Displays a hud that shows important events.
// #status = Finished
// #config = EHHudOptions
// #readme = eventhud.txt
// #include = support/team_tracker.cs
// #category = ilys' Scripts
$EHScroll=1;
exec("EventHudPrefs.cs");
package EventsHud{
//------------------------------------------------------------------------------------------------
//function EHPickup(%a, %b, %c)
//{
//if($EHPickup==1)
//{
//if($EHSayText$="")
//{
//schedule(200,0, "EHSayPickup");
//}
//$EHSayText=$EHSayText@%c@", ";
//}
//}
//function EHSayPickup(){
//$EHSayText=getsubstr($EHSayText,0, strlen($EHSayText)-2);
//addMessageHudLine("Picked up "@$EHSayText);
//$EHSayText="";
//}

//unction addMessageHudLine(%text){
//if($EHPickup==1)
//{
//if(strstr(%text,"You picked up")!=-1)
//{
//	return;
//}
//}
//parent::addMessageHudLine(%text);
//}
//------------------------------------------------------------------------------------------------
function EHUpdateText()
{
$EHSlider=EHSlider.getValue();
EHTimeText.setValue("Display Messages For "@$EHSlider@" Seconds");

}
function PlayGui::onWake(%this)
{
	addMessageCallback('MsgCTFFlagTaken', EHFlagGrab);
	addMessageCallback('MsgCTFFlagReturned', EHFlagReturn);
	addMessageCallback('msgStationNoPower', EHPowerDown);
	addMessageCallback('msgGenRepaired', EHPowerUp);
	addMessageCallback('MsgCTFFlagDropped', EHFlagDrop);
	addMessageCallback('MsgCTFFlagCapped', EHFlagCap);
	addMessageCallback('MsgCTFFlagMined', EHFlagMined);
	addMessageCallback('MsgGameOver', EHHudReset);
	addMessageCallback('MsgMissionStart', EHMStart);
	addMessageCallback('MsgMissionEnd', EHMEnd);
	addMessageCallback('msgSensorRepaired', EHSensor);
	addMessageCallback('msgTurretRepaired', EHTurret);
	addMessageCallback('msgStationRepaired', EHStation);
	addMessageCallback('msgGenDes',EHEnemyGen);
//	addMessageCallback('MsgItemPickup', EHPickup);

	parent::onWake(%this);

	if(!isObject(PlayGui)) return;

	if(isObject(EHHud)) return;

	if($EHNScroll==1)
	{
		CreateEHHud2();
		$EHNScroll=1;
	}
	else
	{
		CreateEHHud();
		$EHScroll=1;
		EHHud.setVisible(false);
		$EHVis=0;
	}

	if(isObject(HM) && isObject(HudMover)) hudmover::addhud(EHHud,"EventHUD");
}
function EHHudOptions::onWake(){
		export("$EH*", "EventHudPrefs.cs", true);
	export("$EH*", "EventHudPrefs.cs", false);
	}
function EHStation(%game, %obj, %objName, %a, %b, %c)
{
	if($EHStation==1)
	addEHLine(1,%a@" Station Up", 5);
}
function EHSensor(%game, %obj, %objName, %a, %b, %c)
{
	if($EHSensor==1)
	addEHLine(1,%a@" Pulse Sensor Up", 5);
}
function EHTurret(%game, %obj, %objName, %a, %b, %c)
{
	if($EHTurret==1)
	addEHLine(1,%a@" Turret Up", 5);
}
function EHChangeHud(){
		EHHud.delete();
		CreateEHHud();
		PlayGui.add(EHHud);
		EHNScroll.setValue(0);
		$EHNScroll=0;
		EHHud.setVisible(false);
		$EHVis=0;
	}
	
function EHChangeHud1(){
		EHHud.delete();
		CreateEHHud2();
		PlayGui.add(EHHud);
		EHScroll.setValue(0);
		$EHScroll=0;
}
		
function GameGui::onWake(%this)
{
	if(!$EHSlider)
	{
	$EHSlider=3;
	EHTimeText.setValue( "Display Messages For "@$EHSlider@" Seconds");
	}
	EHHudReset();
	EHHudOptions.onSleep();
	parent::onWake(%this);
}
//------------------------------------------------------------------------------------------------
function CreateEHHud2()
{
	new GuiControl(EHHud) {
		profile = "GuiDefaultProfile";
		horizSizing = "relative";
		vertSizing = "relative";
		position = "0 244";
		extent = "201 115";
		minExtent = "8 8";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";

		new GuiTextCtrl(EH2T1) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "22 0";
			extent = "175 15";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			maxLength = "255";
		};
		new GuiChunkedBitmapCtrl(EH2B1) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "0 0";
			extent = "15 15";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			useVariable = "0";
		};
		new GuiTextCtrl(EH2T2) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "22 20";
			extent = "175 15";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			maxLength = "255";
		};
		new GuiChunkedBitmapCtrl(EH2B2) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "0 20";
			extent = "15 15";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			useVariable = "0";
		};
		new GuiTextCtrl(EH2T3) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "22 40";
			extent = "175 15";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			maxLength = "255";
		};
		new GuiChunkedBitmapCtrl(EH2B3) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "0 40";
			extent = "15 15";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			useVariable = "0";
		};
		new GuiTextCtrl(EH2T4) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "22 60";
			extent = "175 15";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			maxLength = "255";
		};
		new GuiChunkedBitmapCtrl(EH2B4) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "0 60";
			extent = "15 15";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			useVariable = "0";
		};
		new GuiTextCtrl(EH2T5) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "22 80";
			extent = "175 15";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			maxLength = "255";
		};
		new GuiChunkedBitmapCtrl(EH2B5) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "0 80";
			extent = "15 15";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			useVariable = "0";
		};
		new GuiTextCtrl(EH2T6) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "22 100";
			extent = "175 15";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			maxLength = "255";
		};
		new GuiChunkedBitmapCtrl(EH2B6) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "0 100";
			extent = "15 15";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			useVariable = "0";
		};
	};
	playgui.add(EHHud);
}
function CreateEHHud(){
	new GuiControl(EHHud) {
		profile = "GuiDefaultProfile";
		horizSizing = "relative";
		vertSizing = "relative";
		position = "0 244";
		extent = "144 34";
		minExtent = "8 8";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";

		new GuiTextCtrl(EHT2) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "20 0";
			extent = "123 15";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			maxLength = "255";
		};
		new GuiChunkedBitmapCtrl(EHB2) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "0 0";
			extent = "15 15";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			useVariable = "0";
		};
		new GuiTextCtrl(EHT1) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "20 17";
			extent = "123 15";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			maxLength = "255";
		};
		new GuiChunkedBitmapCtrl(EHB1) {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "0 17";
			extent = "15 15";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			useVariable = "0";
		};
	};
	playgui.add(EHHud);
}
//-------------------------------------------------------------------------------------------------
function EHMEnd(%a, %b, %time, %d, %e){
	if($EHEnd==1)
	{
	if(%time==60)
		addEHLine(0, "60 Seconds", 6);
	if(%time==30)
		addEHLine(0, "30 Seconds", 6);
	}
}
//--------------------------------------------------------------------------------------------------
function EHMStart(%a, %b, %time, %d, %e){
	if($EHEnd==1)
	{
	if(%time==15)
	addEHLine(0, "15 Seconds", 6);
	if(%time==10)
	addEHLine(0, "10 Seconds", 6);
	
	}
}
//------------------------------------------------------------------------------------------------
function EHFlagMined(){
	if($EHFlagMined==1)
	addEHLine(1,"Flag Mined", 4);
}
//------------------------------------------------------------------------------------------------
function EHFlagGrab(%msgType, %msgStr, %clientname, %teamname, %teamid, %taker){
if($EHFlagGrab==1)
{
	%flagteam = detag(%teamid);
	%clientTeam = teamtracker.getClientTeamId(teamtracker.getManagerId());
	%taker = detag(%taker);
	if(%flagteam $= %clientTeam){
		addEHLine(2, "Flag Grab By "@%taker, 2);
	}
	else
		addEHLine(1, "Flag Grab By "@%taker, 1);
}
}
//-------------------------------------------------------------------------------------------------
function EHFlagDrop(%msgType, %msgStr, %clientname, %teamname, %teamid){
if($EHFlagDrop==1)
{
	%flagteam = detag(%teamid);
	%clientTeam = teamtracker.getClientTeamId(teamtracker.getManagerId());
	%taker = detag(%taker);
	if(%flagteam $= %clientTeam){
		addEHLine(1, "Flag Drop", 2);
	}
	else
		addEHLine(2, "Flag Drop", 1);
}
}
//------------------------------------------------------------------------------------------------
function EHFlagCap(%msgType, %msgStr, %clientname, %teamname, %teamid){
if($EHFlagCap==1)
{
	%flagteam = detag(%teamid);
	%clientTeam = teamtracker.getClientTeamId(teamtracker.getManagerId());
	%taker = detag(%taker);
	if(%flagteam $= %clientTeam){
		addEHLine(2, "Flag Cap", 2);
	} 
	else
		addEHLine(1, "Flag Cap", 1);
}
}
//-------------------------------------------------------------------------------------------------
function EHEnemyGen(%a, %b, %c, %d, %e){
if($EHPower==1)
	addEHLine(2, "Gen Destroyed", 4);
}
//------------------------------------------------------------------------------------------------
function EHFlagReturn(%msgType, %msgStr, %clientname, %teamname, %teamid)
{
if($EHFlagReturn==1)
{
	%flagteam = detag(%teamid);
	%clientTeam = teamtracker.getClientTeamId(teamtracker.getManagerId());
	if(%flagteam $= %clientTeam)
		addEHLine(1, "Flag Returned", 2);
	else
		addEHLine(2, "Flag Returned", 1);
}
}
//------------------------------------------------------------------------------------------------
function EHPowerDown(){
if($EHPower==1)
	addEHLine(1, "Power Down", 3);
}
//------------------------------------------------------------------------------------------------
function EHPowerUp(){
if($EHPowerUp==1)
	addEHLine(1, "Power Up", 3);
}
function EHHudOptions::onSleep(%this){
export("$EH*", "EventHudPrefs.cs", true);
export("$EH*", "EventHudPrefs.cs", false);

}
//------------------------------------------------------------------------------------------------
function EHHudReset(){
	EHCancel(1);
	EHCancel(2);
	$EHCountTime2=46;
	$EHCountTime1=46;
	deleteVariables("$EHB*");
	EHT4.setValue("");
	EHT3.setValue("");
	EHT2.setValue("");
	EHT1.setValue("");
	EHB4.setBitmap("");
	EHB3.setBitmap("");
	EHB2.setBitmap("");
	EHB1.setBitmap("");
	EH2B1.setBitmap("");
	EH2B2.setBitmap("");
	EH2B3.setBitmap("");
	EH2B4.setBitmap("");
	EH2B5.setBitmap("");
	EH2B6.setBitmap("");
	EH2T6.setValue("");
	EH2T5.setValue("");
	EH2T4.setValue("");
	EH2T3.setValue("");
	EH2T2.setValue("");
	EH2T1.setValue("");
	$EHMStart=0;
	$EHMEnd=0;
}
function EHClear(){
	EHT2.setValue(EHT1.getValue());
	if($EHB1$=0)
	{
		EHB2.setBitmap("gui/shll_icon_favorite_hi.png");
		}
	else if($EHB1$=1)
		{
		EHB2.setBitmap("gui/shll_icon_favorite.png");
		}
	else if($EHB1$=2)
		{
		EHB2.setBitmap("gui/shll_icon_timedout.png");
		}




}
function EHSetInvis(%hud)
{
	if(%hud==4)
	{
		EH2T4.setValue("");
		EH2B4.setBitmap("");
	}
	
	else if(%hud==3)
	{
		EH2T3.setValue("");
		EH2B3.setBitmap("");
	}
	else if(%hud==5)
	{
		EH2T5.setValue("");
		EH2B5.setBitmap("");
	}
	else if(%hud==6)
	{
		EH2T6.setValue("");
		EH2B6.setBitmap("");
	}
}
function EHCountdown()
{
$EHCountdown=schedule(1000, 0, "EHCountdown");
$EHCountTime--;
if(strstr(EH2T1.getValue(), "Flag")==-1)
EH2T1.setValue($EHCountTime);
}
function EHCountdown2()
{
$EHCountdown2=schedule(1000, 0, "EHCountdown2");
$EHCountTime2--;
if(strstr(EH2T2.getValue(), "Flag")==-1)
EH2T2.setValue($EHCountTime2);
}
function EHCancel(%team)
{
	if(%team==1)
	{
		cancel($EHCountdown);
		$EHCountTime=46;
		$EHCountdown="";
	}
	else if(%team==2)
	{			
		cancel($EHCountdown2);
		$EHCountTime2=46;
		$EHCountdown2="";
	}
}
//-------------------------------------------------------------------------------------------------
function addEHLine(%team, %text, %hud){
if(teamtracker.getClientTeamId(teamtracker.getManagerId())!=0)
{
if($EHNScroll==1)
	{
	if(%hud==1)
	{
		if(%text$="Flag Cap" || %text$="Flag Returned")
		{
		EHCancel(1);
		EH2T1.setValue("");
		EH2B1.setBitmap("");
	 	}
		else if(%text$="Flag Drop")
		{
		EH2B1.setBitmap("gui/shll_icon_favorite.png");
		EHCancel(1);
		EH2T1.setValue("");
		$EHCancel=0;
		EHCountDown();	
		
		}	
		else{
		EHCancel(1);
		EH2B1.setBitmap("gui/shll_icon_favorite.png");
		EH2T1.setValue(%text);
	}
	}
	else if(%hud==2)
	{
		if(%text$="Flag Cap" || %text$="Flag Returned")
		{
		EHCancel(2);
		EH2T2.setValue("");
		EH2B2.setBitmap("");
		}
		else if(%text$="Flag Drop")
		{
		EH2B2.setBitmap("gui/shll_icon_timedout.png");
		EHCancel(2);
		EH2T2.setValue("");
		$EHCancel2=0;
		EHCountDown2();	
		}
		else{
		EHCancel(2);
		EH2B2.setBitmap("gui/shll_icon_timedout.png");
		EH2T2.setValue(%text);
		}
	}
	else if(%hud==3)
		{
			if(%text$="Power Down")
			{
				EH2B3.setBitmap("gui/shll_icon_favorite.png");
				EH2T3.setValue(%text);
			}
			else if(EH2T3.getValue()$="")
			{
				EH2B3.setBitmap("gui/shll_icon_favorite.png");
				EH2T3.setValue(%text);
				schedule($EHSlider*1000, 0, "EHSetInvis", 3);
			}	
			else{
			EH2B3.setBitmap("");
			EH2T3.setValue("");
			}	
		}
	else if(%hud==4)
	{
		if(%text$="Flag Mined")
		{
		EH2B4.setBitmap("gui/shll_icon_favorite.png");
		EH2T4.setValue(%text); 	
		schedule($EHSlider*1000, 0, "EHSetInvis", 4);
		}	
		else{
		EH2B4.setBitmap("gui/shll_icon_timedout.png");
		EH2T4.setValue(%text); 	
		schedule($EHSlider*1000, 0, "EHSetInvis", 4);
		}
	
	}
	else if(%hud==5)
	{
		EH2B5.setBitmap("gui/shll_icon_favorite.png");
		EH2T5.setValue(%text);
		schedule($EHSlider*1000, 0, "EHSetInvis", 5);
	}
	else if(%hud==6)
	{
		EH2B6.setBitmap("gui/shll_icon_favorite_hi.png");
		EH2T6.setValue(%text);
		schedule($EHSlider*1000, 0, "EHSetInvis", 6);
	}		
	}
else if($EHScroll==1){
	if($EHVis==0)
	{
		$EHVis=1;
		EHHud.setVisible(true);
	}
	else{
		$EHSchedule++;
	}
	EHClear();
	if(%team==0)
	{
		EHB1.setBitmap("gui/shll_icon_favorite_hi.png");
		$EHB1=0;
	}
	else if(%team==1)
	{
		EHB1.setBitmap("gui/shll_icon_favorite.png");
		$EHB1=1;	
	}
	else if(%team==2)
	{
		EHB1.setBitmap("gui/shll_icon_timedout.png");
		$EHB1=2;
	}
EHT1.setValue(%text);
schedule($EHSlider*1000, 0, "EHInvisible");
}
}
}
function swapTeamLines()
{
	parent::swapTeamLines();
	EHHudReset();
}
function EHInvisible(){
	if($EHSchedule>0)
	{
		$EHSchedule--;
	}
	else{
	EHHud.setVisible(false);
	$EHVis=0;
	}
	}
//----------------------------------------------------------------------------------------------
function CreateEHHudOptions(){
//--- OBJECT WRITE BEGIN ---
new GuiControl(EHHudOptions) {
	profile = "GuiDefaultProfile";
	horizSizing = "right";
	vertSizing = "bottom";
	position = "0 0";
	extent = "640 480";
	minExtent = "8 8";
	visible = "1";
	hideCursor = "0";
	bypassHideCursor = "0";
	helpTag = "0";

	new ShellBitmapButton() {
		profile = "ShellButtonProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "225 221";
		extent = "140 38";
		minExtent = "32 38";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		command = "goToWebPage(\"http://www.tribes-universe.com/danger/update.php?ScriptName=eventhud&Ver=1.02\");";
		helpTag = "0";
		text = "Check For Update";
		simpleStyle = "0";
	};
	new ShellBitmapButton() {
		profile = "ShellButtonProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "226 252";
		extent = "140 38";
		minExtent = "32 38";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		command = "gotoWebPage(\"http://www.tribes-universe.com/danger/\");";
		helpTag = "0";
		text = "Visit DanGeR\'s Site";
		simpleStyle = "0";
	};
	new ShellToggleButton(EHFlagGrab) {
		profile = "ShellRadioProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "18 71";
		extent = "140 30";
		minExtent = "26 27";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		variable = "$EHFlagGrab";
		helpTag = "0";
		text = "Flag Grab";
		maxLength = "255";
	};
	new ShellToggleButton(EHFlagDrop) {
		profile = "ShellRadioProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "18 91";
		extent = "140 30";
		minExtent = "26 27";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		variable = "$EHFlagDrop";
		helpTag = "0";
		text = "Flag Drop";
		maxLength = "255";
	};
	new ShellToggleButton(EHFlagCap) {
		profile = "ShellRadioProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "18 111";
		extent = "140 30";
		minExtent = "26 27";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		variable = "$EHFlagCap";
		helpTag = "0";
		text = "Flag Cap";
		maxLength = "255";
	};
	new ShellToggleButton(EHFlagReturn) {
		profile = "ShellRadioProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "18 131";
		extent = "140 30";
		minExtent = "26 27";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		variable = "$EHFlagReturn";
		helpTag = "0";
		text = "Flag Return";
		maxLength = "255";
	};
	new ShellToggleButton(EHPowerUp) {
		profile = "ShellRadioProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "18 151";
		extent = "140 30";
		minExtent = "26 27";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		variable = "$EHPowerUp";
		helpTag = "0";
		text = "Power Up";
		maxLength = "255";
	};
	new ShellToggleButton(EHPowerDown) {
		profile = "ShellRadioProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "18 171";
		extent = "140 30";
		minExtent = "26 27";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		variable = "$EHPower";
		helpTag = "0";
		text = "Power Down";
		maxLength = "255";
	};
	new ShellToggleButton(EHFlagMined) {
		profile = "ShellRadioProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "18 191";
		extent = "140 30";
		minExtent = "26 27";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		variable = "$EHFlagMined";
		helpTag = "0";
		text = "Flag Mined";
		maxLength = "255";
	};
	new ShellToggleButton(EHMatch) {
		profile = "ShellRadioProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "18 211";
		extent = "140 30";
		minExtent = "26 27";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		variable = "$EHEnd";
		helpTag = "0";
		text = "Match Start/End";
		maxLength = "255";
	};
	new ShellSliderCtrl(EHSlider) {
		profile = "ShellSliderProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "187 159";
		extent = "190 24";
		minExtent = "12 24";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		variable = "value";
		command = "EHUpdateText();";
		helpTag = "0";
		range = "0.000000 10.000000";
		ticks = "11";
		value = "3";
		usePlusMinus = "0";
	};
	new ShellToggleButton(EHNScroll) {
		profile = "ShellRadioProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "230 32";
		extent = "140 30";
		minExtent = "26 27";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		variable = "$EHNScroll";
		command = "EHChangeHud1();";
		helpTag = "0";
		text = "Non-Scrolling Hud";
		maxLength = "255";
	};
	new ShellToggleButton(EHScroll) {
		profile = "ShellRadioProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "18 32";
		extent = "140 30";
		minExtent = "26 27";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		variable = "$EHScroll";
		command = "EHChangeHud();";
		helpTag = "0";
		text = "Scrolling Hud";
		maxLength = "255";
	};
	new ShellToggleButton(EHTurret) {
		profile = "ShellRadioProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "18 271";
		extent = "140 30";
		minExtent = "26 27";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		variable = "$EHTurret";
		helpTag = "0";
		text = "Turret Up";
		maxLength = "255";
	};
	new ShellToggleButton(EHStation) {
		profile = "ShellRadioProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "18 251";
		extent = "140 30";
		minExtent = "26 27";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		variable = "$EHStation";
		helpTag = "0";
		text = "Station Up";
		maxLength = "255";
	};
	new ShellToggleButton(EHSensor) {
		profile = "ShellRadioProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "18 231";
		extent = "140 30";
		minExtent = "26 27";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		variable = "$EHSensor";
		helpTag = "0";
		text = "Sensor Up";
		maxLength = "255";
	};
	new GuiTextCtrl(EHTimeText) {
		profile = "GuiDefaultProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "185 137";
		extent = "198 17";
		minExtent = "8 8";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		text = "Display Messages For 8.18681 Seconds";
		maxLength = "255";
	};
	new ShellBitmapButton() {
		profile = "ShellButtonProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "258 79";
		extent = "84 38";
		minExtent = "32 38";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		command = "EHHudOptions.onWake();";
		helpTag = "0";
		text = "Apply";
		simpleStyle = "0";
	};
//	new ShellToggleButton(EHPickup) {
//		profile = "ShellRadioProfile";
//		horizSizing = "right";
//		vertSizing = "bottom";
//		position = "18 291";
//		extent = "140 30";
//		minExtent = "26 27";
//		visible = "1";
//		hideCursor = "0";
//		bypassHideCursor = "0";
//		variable = "$EHPickup";
//		helpTag = "0";
//		text = "Pickup Message To 1 Line";
//		maxLength = "255";
//	};
};
//--- OBJECT WRITE END ---

}
};
activatePackage(EventsHud);
CreateEHHudOptions();